searchData={"items":[{"type":"module","title":"GoogleApi.KMSInventory.V1","doc":"API client metadata for GoogleApi.KMSInventory.V1.","ref":"GoogleApi.KMSInventory.V1.html"},{"type":"function","title":"GoogleApi.KMSInventory.V1.discovery_revision/0","doc":"","ref":"GoogleApi.KMSInventory.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.KMSInventory.V1.Api.Organizations","doc":"API calls for all endpoints tagged `Organizations`.","ref":"GoogleApi.KMSInventory.V1.Api.Organizations.html"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Api.Organizations.kmsinventory_organizations_protected_resources_search/4","doc":"Returns metadata about the resources protected by the given Cloud KMS CryptoKey in the given Cloud organization.","ref":"GoogleApi.KMSInventory.V1.Api.Organizations.html#kmsinventory_organizations_protected_resources_search/4"},{"type":"function","title":"Parameters - GoogleApi.KMSInventory.V1.Api.Organizations.kmsinventory_organizations_protected_resources_search/4","doc":"*   `connection` (*type:* `GoogleApi.KMSInventory.V1.Connection.t`) - Connection to server\n*   `scope` (*type:* `String.t`) - Required. Resource name of the organization. Example: organizations/123\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:cryptoKey` (*type:* `String.t`) - Required. The resource name of the CryptoKey.\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of resources to return. The service may return fewer than this value. If unspecified, at most 500 resources will be returned. The maximum value is 500; values above 500 will be coerced to 500.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous KeyTrackingService.SearchProtectedResources call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to KeyTrackingService.SearchProtectedResources must match the call that provided the page token.\n    *   `:resourceTypes` (*type:* `list(String.t)`) - Optional. A list of resource types that this request searches for. If empty, it will search all the [trackable resource types](https://cloud.google.com/kms/docs/view-key-usage#tracked-resource-types). Regular expressions are also supported. For example: * `compute.googleapis.com.*` snapshots resources whose type starts with `compute.googleapis.com`. * `.*Image` snapshots resources whose type ends with `Image`. * `.*Image.*` snapshots resources whose type contains `Image`. See [RE2](https://github.com/google/re2/wiki/Syntax) for all supported regular expression syntax. If the regular expression does not match any supported resource type, an INVALID_ARGUMENT error will be returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.KMSInventory.V1.Api.Organizations.html#kmsinventory_organizations_protected_resources_search/4-parameters"},{"type":"function","title":"Returns - GoogleApi.KMSInventory.V1.Api.Organizations.kmsinventory_organizations_protected_resources_search/4","doc":"*   `{:ok, %GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1SearchProtectedResourcesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.KMSInventory.V1.Api.Organizations.html#kmsinventory_organizations_protected_resources_search/4-returns"},{"type":"module","title":"GoogleApi.KMSInventory.V1.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.KMSInventory.V1.Api.Projects.html"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Api.Projects.kmsinventory_projects_crypto_keys_list/4","doc":"Returns cryptographic keys managed by Cloud KMS in a given Cloud project. Note that this data is sourced from snapshots, meaning it may not completely reflect the actual state of key metadata at call time.","ref":"GoogleApi.KMSInventory.V1.Api.Projects.html#kmsinventory_projects_crypto_keys_list/4"},{"type":"function","title":"Parameters - GoogleApi.KMSInventory.V1.Api.Projects.kmsinventory_projects_crypto_keys_list/4","doc":"*   `connection` (*type:* `GoogleApi.KMSInventory.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The Google Cloud project for which to retrieve key metadata, in the format `projects/*`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of keys to return. The service may return fewer than this value. If unspecified, at most 1000 keys will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. Pass this into a subsequent request in order to receive the next page of results.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.KMSInventory.V1.Api.Projects.html#kmsinventory_projects_crypto_keys_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.KMSInventory.V1.Api.Projects.kmsinventory_projects_crypto_keys_list/4","doc":"*   `{:ok, %GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ListCryptoKeysResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.KMSInventory.V1.Api.Projects.html#kmsinventory_projects_crypto_keys_list/4-returns"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Api.Projects.kmsinventory_projects_locations_key_rings_crypto_keys_get_protected_resources_summary/4","doc":"Returns aggregate information about the resources protected by the given Cloud KMS CryptoKey. Only resources within the same Cloud organization as the key will be returned. The project that holds the key must be part of an organization in order for this call to succeed.","ref":"GoogleApi.KMSInventory.V1.Api.Projects.html#kmsinventory_projects_locations_key_rings_crypto_keys_get_protected_resources_summary/4"},{"type":"function","title":"Parameters - GoogleApi.KMSInventory.V1.Api.Projects.kmsinventory_projects_locations_key_rings_crypto_keys_get_protected_resources_summary/4","doc":"*   `connection` (*type:* `GoogleApi.KMSInventory.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the CryptoKey.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.KMSInventory.V1.Api.Projects.html#kmsinventory_projects_locations_key_rings_crypto_keys_get_protected_resources_summary/4-parameters"},{"type":"function","title":"Returns - GoogleApi.KMSInventory.V1.Api.Projects.kmsinventory_projects_locations_key_rings_crypto_keys_get_protected_resources_summary/4","doc":"*   `{:ok, %GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ProtectedResourcesSummary{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.KMSInventory.V1.Api.Projects.html#kmsinventory_projects_locations_key_rings_crypto_keys_get_protected_resources_summary/4-returns"},{"type":"module","title":"GoogleApi.KMSInventory.V1.Connection","doc":"Handle Tesla connections for GoogleApi.KMSInventory.V1.","ref":"GoogleApi.KMSInventory.V1.Connection.html"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.KMSInventory.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.KMSInventory.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.KMSInventory.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.KMSInventory.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.KMSInventory.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.KMSInventory.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.KMSInventory.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.KMSInventory.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.KMSInventory.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.KMSInventory.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.KMSInventory.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.KMSInventory.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.KMSInventory.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.KMSInventory.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.KMSInventory.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.KMSInventory.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.KMSInventory.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.KMSInventory.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.KMSInventory.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.KMSInventory.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.KMSInventory.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.KMSInventory.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.KMSInventory.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.KMSInventory.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.KMSInventory.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.KMSInventory.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.KMSInventory.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.KMSInventory.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.KMSInventory.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.KMSInventory.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.KMSInventory.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.KMSInventory.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.KMSInventory.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.KMSInventory.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.KMSInventory.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.KMSInventory.V1.Connection.t/0","doc":"","ref":"GoogleApi.KMSInventory.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ListCryptoKeysResponse","doc":"Response message for KeyDashboardService.ListCryptoKeys.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ListCryptoKeysResponse.html"},{"type":"module","title":"Attributes - GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ListCryptoKeysResponse","doc":"*   `cryptoKeys` (*type:* `list(GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKey.t)`, *default:* `nil`) - The list of CryptoKeys.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The page token returned from the previous response if the next page is desired.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ListCryptoKeysResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ListCryptoKeysResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ListCryptoKeysResponse.html#decode/2"},{"type":"type","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ListCryptoKeysResponse.t/0","doc":"","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ListCryptoKeysResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ProtectedResource","doc":"Metadata about a resource protected by a Cloud KMS key.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ProtectedResource.html"},{"type":"module","title":"Attributes - GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ProtectedResource","doc":"*   `cloudProduct` (*type:* `String.t`, *default:* `nil`) - The Cloud product that owns the resource. Example: `compute`\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time at which this resource was created. The granularity is in seconds. Timestamp.nanos will always be 0.\n*   `cryptoKeyVersion` (*type:* `String.t`, *default:* `nil`) - The name of the Cloud KMS [CryptoKeyVersion](https://cloud.google.com/kms/docs/reference/rest/v1/projects.locations.keyRings.cryptoKeys.cryptoKeyVersions?hl=en) used to protect this resource via CMEK. This field is empty if the Google Cloud product owning the resource does not provide key version data to Asset Inventory. If there are multiple key versions protecting the resource, then this is same value as the first element of crypto_key_versions.\n*   `cryptoKeyVersions` (*type:* `list(String.t)`, *default:* `nil`) - The names of the Cloud KMS [CryptoKeyVersion](https://cloud.google.com/kms/docs/reference/rest/v1/projects.locations.keyRings.cryptoKeys.cryptoKeyVersions?hl=en) used to protect this resource via CMEK. This field is empty if the Google Cloud product owning the resource does not provide key versions data to Asset Inventory. The first element of this field is stored in crypto_key_version.\n*   `labels` (*type:* `map()`, *default:* `nil`) - A key-value pair of the resource's labels (v1) to their values.\n*   `location` (*type:* `String.t`, *default:* `nil`) - Location can be `global`, regional like `us-east1`, or zonal like `us-west1-b`.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The full resource name of the resource. Example: `//compute.googleapis.com/projects/my_project_123/zones/zone1/instances/instance1`.\n*   `project` (*type:* `String.t`, *default:* `nil`) - Format: `projects/{PROJECT_NUMBER}`.\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - The ID of the project that owns the resource.\n*   `resourceType` (*type:* `String.t`, *default:* `nil`) - Example: `compute.googleapis.com/Disk`","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ProtectedResource.html#module-attributes"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ProtectedResource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ProtectedResource.html#decode/2"},{"type":"type","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ProtectedResource.t/0","doc":"","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ProtectedResource.html#t:t/0"},{"type":"module","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ProtectedResourcesSummary","doc":"Aggregate information about the resources protected by a Cloud KMS key in the same Cloud organization as the key.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ProtectedResourcesSummary.html"},{"type":"module","title":"Attributes - GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ProtectedResourcesSummary","doc":"*   `cloudProducts` (*type:* `map()`, *default:* `nil`) - The number of resources protected by the key grouped by Cloud product.\n*   `locations` (*type:* `map()`, *default:* `nil`) - The number of resources protected by the key grouped by region.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The full name of the ProtectedResourcesSummary resource. Example: projects/test-project/locations/us/keyRings/test-keyring/cryptoKeys/test-key/protectedResourcesSummary\n*   `projectCount` (*type:* `integer()`, *default:* `nil`) - The number of distinct Cloud projects in the same Cloud organization as the key that have resources protected by the key.\n*   `resourceCount` (*type:* `String.t`, *default:* `nil`) - The total number of protected resources in the same Cloud organization as the key.\n*   `resourceTypes` (*type:* `map()`, *default:* `nil`) - The number of resources protected by the key grouped by resource type.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ProtectedResourcesSummary.html#module-attributes"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ProtectedResourcesSummary.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ProtectedResourcesSummary.html#decode/2"},{"type":"type","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ProtectedResourcesSummary.t/0","doc":"","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ProtectedResourcesSummary.html#t:t/0"},{"type":"module","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1SearchProtectedResourcesResponse","doc":"Response message for KeyTrackingService.SearchProtectedResources.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1SearchProtectedResourcesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1SearchProtectedResourcesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token that can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.\n*   `protectedResources` (*type:* `list(GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1ProtectedResource.t)`, *default:* `nil`) - Protected resources for this page.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1SearchProtectedResourcesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1SearchProtectedResourcesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1SearchProtectedResourcesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1SearchProtectedResourcesResponse.t/0","doc":"","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsInventoryV1SearchProtectedResourcesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKey","doc":"A CryptoKey represents a logical key that can be used for cryptographic operations. A CryptoKey is made up of zero or more versions, which represent the actual key material used in cryptographic operations.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKey.html"},{"type":"module","title":"Attributes - GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKey","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time at which this CryptoKey was created.\n*   `cryptoKeyBackend` (*type:* `String.t`, *default:* `nil`) - Immutable. The resource name of the backend environment where the key material for all CryptoKeyVersions associated with this CryptoKey reside and where all related cryptographic operations are performed. Only applicable if CryptoKeyVersions have a ProtectionLevel of EXTERNAL_VPC, with the resource name in the format `projects/*/locations/*/ekmConnections/*`. Note, this list is non-exhaustive and may apply to additional ProtectionLevels in the future.\n*   `destroyScheduledDuration` (*type:* `String.t`, *default:* `nil`) - Immutable. The period of time that versions of this key spend in the DESTROY_SCHEDULED state before transitioning to DESTROYED. If not specified at creation time, the default duration is 24 hours.\n*   `importOnly` (*type:* `boolean()`, *default:* `nil`) - Immutable. Whether this key may contain imported versions only.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Labels with user-defined metadata. For more information, see [Labeling Keys](https://cloud.google.com/kms/docs/labeling-keys).\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The resource name for this CryptoKey in the format `projects/*/locations/*/keyRings/*/cryptoKeys/*`.\n*   `nextRotationTime` (*type:* `DateTime.t`, *default:* `nil`) - At next_rotation_time, the Key Management Service will automatically: 1. Create a new version of this CryptoKey. 2. Mark the new version as primary. Key rotations performed manually via CreateCryptoKeyVersion and UpdateCryptoKeyPrimaryVersion do not affect next_rotation_time. Keys with purpose ENCRYPT_DECRYPT support automatic rotation. For other keys, this field must be omitted.\n*   `primary` (*type:* `GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKeyVersion.t`, *default:* `nil`) - Output only. A copy of the \"primary\" CryptoKeyVersion that will be used by Encrypt when this CryptoKey is given in EncryptRequest.name. The CryptoKey's primary version can be updated via UpdateCryptoKeyPrimaryVersion. Keys with purpose ENCRYPT_DECRYPT may have a primary. For other keys, this field will be omitted.\n*   `purpose` (*type:* `String.t`, *default:* `nil`) - Immutable. The immutable purpose of this CryptoKey.\n*   `rotationPeriod` (*type:* `String.t`, *default:* `nil`) - next_rotation_time will be advanced by this period when the service automatically rotates a key. Must be at least 24 hours and at most 876,000 hours. If rotation_period is set, next_rotation_time must also be set. Keys with purpose ENCRYPT_DECRYPT support automatic rotation. For other keys, this field must be omitted.\n*   `versionTemplate` (*type:* `GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKeyVersionTemplate.t`, *default:* `nil`) - A template describing settings for new CryptoKeyVersion instances. The properties of new CryptoKeyVersion instances created by either CreateCryptoKeyVersion or auto-rotation are controlled by this template.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKey.html#module-attributes"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKey.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKey.html#decode/2"},{"type":"type","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKey.t/0","doc":"","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKey.html#t:t/0"},{"type":"module","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKeyVersion","doc":"A CryptoKeyVersion represents an individual cryptographic key, and the associated key material. An ENABLED version can be used for cryptographic operations. For security reasons, the raw cryptographic key material represented by a CryptoKeyVersion can never be viewed or exported. It can only be used to encrypt, decrypt, or sign data when an authorized user or application invokes Cloud KMS.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKeyVersion.html"},{"type":"module","title":"Attributes - GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKeyVersion","doc":"*   `algorithm` (*type:* `String.t`, *default:* `nil`) - Output only. The CryptoKeyVersionAlgorithm that this CryptoKeyVersion supports.\n*   `attestation` (*type:* `GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1KeyOperationAttestation.t`, *default:* `nil`) - Output only. Statement that was generated and signed by the HSM at key creation time. Use this statement to verify attributes of the key as stored on the HSM, independently of Google. Only provided for key versions with protection_level HSM.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time at which this CryptoKeyVersion was created.\n*   `destroyEventTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time this CryptoKeyVersion's key material was destroyed. Only present if state is DESTROYED.\n*   `destroyTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time this CryptoKeyVersion's key material is scheduled for destruction. Only present if state is DESTROY_SCHEDULED.\n*   `externalDestructionFailureReason` (*type:* `String.t`, *default:* `nil`) - Output only. The root cause of the most recent external destruction failure. Only present if state is EXTERNAL_DESTRUCTION_FAILED.\n*   `externalProtectionLevelOptions` (*type:* `GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1ExternalProtectionLevelOptions.t`, *default:* `nil`) - ExternalProtectionLevelOptions stores a group of additional fields for configuring a CryptoKeyVersion that are specific to the EXTERNAL protection level and EXTERNAL_VPC protection levels.\n*   `generateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time this CryptoKeyVersion's key material was generated.\n*   `generationFailureReason` (*type:* `String.t`, *default:* `nil`) - Output only. The root cause of the most recent generation failure. Only present if state is GENERATION_FAILED.\n*   `importFailureReason` (*type:* `String.t`, *default:* `nil`) - Output only. The root cause of the most recent import failure. Only present if state is IMPORT_FAILED.\n*   `importJob` (*type:* `String.t`, *default:* `nil`) - Output only. The name of the ImportJob used in the most recent import of this CryptoKeyVersion. Only present if the underlying key material was imported.\n*   `importTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time at which this CryptoKeyVersion's key material was most recently imported.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The resource name for this CryptoKeyVersion in the format `projects/*/locations/*/keyRings/*/cryptoKeys/*/cryptoKeyVersions/*`.\n*   `protectionLevel` (*type:* `String.t`, *default:* `nil`) - Output only. The ProtectionLevel describing how crypto operations are performed with this CryptoKeyVersion.\n*   `reimportEligible` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether or not this key version is eligible for reimport, by being specified as a target in ImportCryptoKeyVersionRequest.crypto_key_version.\n*   `state` (*type:* `String.t`, *default:* `nil`) - The current state of the CryptoKeyVersion.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKeyVersion.html#module-attributes"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKeyVersion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKeyVersion.html#decode/2"},{"type":"type","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKeyVersion.t/0","doc":"","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKeyVersion.html#t:t/0"},{"type":"module","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKeyVersionTemplate","doc":"A CryptoKeyVersionTemplate specifies the properties to use when creating a new CryptoKeyVersion, either manually with CreateCryptoKeyVersion or automatically as a result of auto-rotation.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKeyVersionTemplate.html"},{"type":"module","title":"Attributes - GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKeyVersionTemplate","doc":"*   `algorithm` (*type:* `String.t`, *default:* `nil`) - Required. Algorithm to use when creating a CryptoKeyVersion based on this template. For backwards compatibility, GOOGLE_SYMMETRIC_ENCRYPTION is implied if both this field is omitted and CryptoKey.purpose is ENCRYPT_DECRYPT.\n*   `protectionLevel` (*type:* `String.t`, *default:* `nil`) - ProtectionLevel to use when creating a CryptoKeyVersion based on this template. Immutable. Defaults to SOFTWARE.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKeyVersionTemplate.html#module-attributes"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKeyVersionTemplate.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKeyVersionTemplate.html#decode/2"},{"type":"type","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKeyVersionTemplate.t/0","doc":"","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1CryptoKeyVersionTemplate.html#t:t/0"},{"type":"module","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1ExternalProtectionLevelOptions","doc":"ExternalProtectionLevelOptions stores a group of additional fields for configuring a CryptoKeyVersion that are specific to the EXTERNAL protection level and EXTERNAL_VPC protection levels.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1ExternalProtectionLevelOptions.html"},{"type":"module","title":"Attributes - GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1ExternalProtectionLevelOptions","doc":"*   `ekmConnectionKeyPath` (*type:* `String.t`, *default:* `nil`) - The path to the external key material on the EKM when using EkmConnection e.g., \"v0/my/key\". Set this field instead of external_key_uri when using an EkmConnection.\n*   `externalKeyUri` (*type:* `String.t`, *default:* `nil`) - The URI for an external resource that this CryptoKeyVersion represents.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1ExternalProtectionLevelOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1ExternalProtectionLevelOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1ExternalProtectionLevelOptions.html#decode/2"},{"type":"type","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1ExternalProtectionLevelOptions.t/0","doc":"","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1ExternalProtectionLevelOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1KeyOperationAttestation","doc":"Contains an HSM-generated attestation about a key operation. For more information, see [Verifying attestations] (https://cloud.google.com/kms/docs/attest-key).","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1KeyOperationAttestation.html"},{"type":"module","title":"Attributes - GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1KeyOperationAttestation","doc":"*   `certChains` (*type:* `GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1KeyOperationAttestationCertificateChains.t`, *default:* `nil`) - Output only. The certificate chains needed to validate the attestation\n*   `content` (*type:* `String.t`, *default:* `nil`) - Output only. The attestation data provided by the HSM when the key operation was performed.\n*   `format` (*type:* `String.t`, *default:* `nil`) - Output only. The format of the attestation data.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1KeyOperationAttestation.html#module-attributes"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1KeyOperationAttestation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1KeyOperationAttestation.html#decode/2"},{"type":"type","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1KeyOperationAttestation.t/0","doc":"","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1KeyOperationAttestation.html#t:t/0"},{"type":"module","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1KeyOperationAttestationCertificateChains","doc":"Certificate chains needed to verify the attestation. Certificates in chains are PEM-encoded and are ordered based on https://tools.ietf.org/html/rfc5246#section-7.4.2.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1KeyOperationAttestationCertificateChains.html"},{"type":"module","title":"Attributes - GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1KeyOperationAttestationCertificateChains","doc":"*   `caviumCerts` (*type:* `list(String.t)`, *default:* `nil`) - Cavium certificate chain corresponding to the attestation.\n*   `googleCardCerts` (*type:* `list(String.t)`, *default:* `nil`) - Google card certificate chain corresponding to the attestation.\n*   `googlePartitionCerts` (*type:* `list(String.t)`, *default:* `nil`) - Google partition certificate chain corresponding to the attestation.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1KeyOperationAttestationCertificateChains.html#module-attributes"},{"type":"function","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1KeyOperationAttestationCertificateChains.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1KeyOperationAttestationCertificateChains.html#decode/2"},{"type":"type","title":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1KeyOperationAttestationCertificateChains.t/0","doc":"","ref":"GoogleApi.KMSInventory.V1.Model.GoogleCloudKmsV1KeyOperationAttestationCertificateChains.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}